# H245_Params Class Reference

`#include <h245.h>`

Inheritance diagram for H245_Params:

List of all members.

## Public Types

enum | OptionalFields { e_iv8, e_iv16, e_iv }

## Public Member Functions

| H245_Params (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_IV8 | m_iv8
H245_IV16 | m_iv16
PASN_OctetString | m_iv

## Member Enumeration Documentation

enum H245_Params::OptionalFields

Enumerator:

  e_iv8 |
  e_iv16 |
  e_iv |

## Constructor & Destructor Documentation

H245_Params::H245_Params | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_Params::GetDataLength | ( |  | ) | const

PBoolean H245_Params::Decode | ( | PASN_Stream & | strm | ) |

void H245_Params::Encode | ( | PASN_Stream & | strm | ) | const

void H245_Params::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_Params::Compare | ( | const PObject & | obj | ) | const

PObject* H245_Params::Clone | ( |  | ) | const

## Member Data Documentation

H245_IV8 H245_Params::m_iv8

H245_IV16 H245_Params::m_iv16

PASN_OctetString H245_Params::m_iv

The documentation for this class was generated from the following file:

- h245.h